MonetaryValue (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.x509.qualified

## Class MonetaryValue

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.qualified.MonetaryValue

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class MonetaryValue
      extends ASN1Object

  The MonetaryValue object.

       MonetaryValue  ::=  SEQUENCE {
             currency              Iso4217CurrencyCode,
             amount               INTEGER,
             exponent             INTEGER }
       -- value = amount * 10^exponent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MonetaryValue(Iso4217CurrencyCode currency, int amount, int exponent)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigInteger` | `getAmount()`
    `Iso4217CurrencyCode` | `getCurrency()`
    `java.math.BigInteger` | `getExponent()`
    `static MonetaryValue` | `getInstance(java.lang.Object obj)`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MonetaryValue

          public MonetaryValue(Iso4217CurrencyCode currency,
                               int amount,
                               int exponent)

  - ### Method Detail

    - #### getInstance

          public static MonetaryValue getInstance(java.lang.Object obj)

    - #### getCurrency

          public Iso4217CurrencyCode getCurrency()

    - #### getAmount

          public java.math.BigInteger getAmount()

    - #### getExponent

          public java.math.BigInteger getExponent()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.